path: /build/build/pluggy-dev-python-1.6.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/pluggy -pv -t && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/pluggy && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/pluggy && \
    luet-portage --dir /pkgdir/pluggy dev-python/pluggy && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-systemd-dev-tree:7aa2e9e73dbc0b8bffad959a72470229053f4163a9f55b4b5cb46248e406417a
  package:
    name: pluggy
    version: 1.6.0
    category: dev-python
    use_flags:
    - -python_targets_pypy3
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: pathspec
      version: '>=0'
      category: dev-python
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: plugin and hook calling mechanisms for python
    uri:
    - https://github.com/pytest-dev/pluggy https://pypi.org/project/pluggy/
    license: MIT
    buildtimestamp: 2025-10-21 18:19:38.118993556 +0000 UTC m=+120.023259320
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_pypy3?
        ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7? ( dev-lang/python:3.7
        ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
        ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/wheel[python_targets_python3_10(-)?,python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      DEPEND: dev-python/setuptools_scm[python_targets_python3_10(-)?,python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python3_10 python_targets_pypy3 python_targets_python3_7
        python_targets_python3_9 python_targets_python3_8
      RDEPEND: python_targets_python3_7? ( dev-python/importlib_metadata[python_targets_python3_7(-)?,-python_single_target_python3_7(-)]
        ) python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_pypy3?
        ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7? ( dev-lang/python:3.7
        ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
        ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/pluggy
      kit: python-modules-kit
      original.package.name: dev-python/pluggy
      original.package.slot: "0"
      original.package.version: 1.6.0
    treedir: /build/packages
  package_dir: /pkgdir/pluggy
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-systemd-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 098367ad809c5459698799cbe4e22e7b7e89512b97896a1d8a515c6c73633380
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/pluggy/__init__.py
- usr/lib/python3.9/site-packages/pluggy/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pluggy/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pluggy/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/pluggy/__pycache__/_callers.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pluggy/__pycache__/_callers.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pluggy/__pycache__/_callers.cpython-39.pyc
- usr/lib/python3.9/site-packages/pluggy/__pycache__/_hooks.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pluggy/__pycache__/_hooks.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pluggy/__pycache__/_hooks.cpython-39.pyc
- usr/lib/python3.9/site-packages/pluggy/__pycache__/_manager.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pluggy/__pycache__/_manager.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pluggy/__pycache__/_manager.cpython-39.pyc
- usr/lib/python3.9/site-packages/pluggy/__pycache__/_result.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pluggy/__pycache__/_result.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pluggy/__pycache__/_result.cpython-39.pyc
- usr/lib/python3.9/site-packages/pluggy/__pycache__/_tracing.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pluggy/__pycache__/_tracing.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pluggy/__pycache__/_tracing.cpython-39.pyc
- usr/lib/python3.9/site-packages/pluggy/__pycache__/_version.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pluggy/__pycache__/_version.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pluggy/__pycache__/_version.cpython-39.pyc
- usr/lib/python3.9/site-packages/pluggy/__pycache__/_warnings.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/pluggy/__pycache__/_warnings.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/pluggy/__pycache__/_warnings.cpython-39.pyc
- usr/lib/python3.9/site-packages/pluggy/_callers.py
- usr/lib/python3.9/site-packages/pluggy/_hooks.py
- usr/lib/python3.9/site-packages/pluggy/_manager.py
- usr/lib/python3.9/site-packages/pluggy/_result.py
- usr/lib/python3.9/site-packages/pluggy/_tracing.py
- usr/lib/python3.9/site-packages/pluggy/_version.py
- usr/lib/python3.9/site-packages/pluggy/_warnings.py
- usr/lib/python3.9/site-packages/pluggy/py.typed
- usr/lib/python3.9/site-packages/pluggy-1.6.0.dist-info/METADATA
- usr/lib/python3.9/site-packages/pluggy-1.6.0.dist-info/RECORD
- usr/lib/python3.9/site-packages/pluggy-1.6.0.dist-info/WHEEL
- usr/lib/python3.9/site-packages/pluggy-1.6.0.dist-info/licenses/LICENSE
- usr/lib/python3.9/site-packages/pluggy-1.6.0.dist-info/top_level.txt
- usr/share/doc/pluggy-1.6.0/README.rst.bz2
- var/db/pkg/dev-python/pluggy-1.6.0/BDEPEND
- var/db/pkg/dev-python/pluggy-1.6.0/BUILD_TIME
- var/db/pkg/dev-python/pluggy-1.6.0/CATEGORY
- var/db/pkg/dev-python/pluggy-1.6.0/CBUILD
- var/db/pkg/dev-python/pluggy-1.6.0/CFLAGS
- var/db/pkg/dev-python/pluggy-1.6.0/CHOST
- var/db/pkg/dev-python/pluggy-1.6.0/CONTENTS
- var/db/pkg/dev-python/pluggy-1.6.0/COUNTER
- var/db/pkg/dev-python/pluggy-1.6.0/CTARGET
- var/db/pkg/dev-python/pluggy-1.6.0/CXX
- var/db/pkg/dev-python/pluggy-1.6.0/CXXFLAGS
- var/db/pkg/dev-python/pluggy-1.6.0/DEFINED_PHASES
- var/db/pkg/dev-python/pluggy-1.6.0/DEPEND
- var/db/pkg/dev-python/pluggy-1.6.0/DESCRIPTION
- var/db/pkg/dev-python/pluggy-1.6.0/EAPI
- var/db/pkg/dev-python/pluggy-1.6.0/FEATURES
- var/db/pkg/dev-python/pluggy-1.6.0/HOMEPAGE
- var/db/pkg/dev-python/pluggy-1.6.0/INHERITED
- var/db/pkg/dev-python/pluggy-1.6.0/IUSE
- var/db/pkg/dev-python/pluggy-1.6.0/IUSE_EFFECTIVE
- var/db/pkg/dev-python/pluggy-1.6.0/KEYWORDS
- var/db/pkg/dev-python/pluggy-1.6.0/LDFLAGS
- var/db/pkg/dev-python/pluggy-1.6.0/LICENSE
- var/db/pkg/dev-python/pluggy-1.6.0/PF
- var/db/pkg/dev-python/pluggy-1.6.0/RDEPEND
- var/db/pkg/dev-python/pluggy-1.6.0/SIZE
- var/db/pkg/dev-python/pluggy-1.6.0/SLOT
- var/db/pkg/dev-python/pluggy-1.6.0/USE
- var/db/pkg/dev-python/pluggy-1.6.0/environment.bz2
- var/db/pkg/dev-python/pluggy-1.6.0/pluggy-1.6.0.ebuild
- var/db/pkg/dev-python/pluggy-1.6.0/repository
package_cacheimage: ""
runtime:
  name: pluggy
  version: 1.6.0
  category: dev-python
  use_flags:
  - -python_targets_pypy3
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: plugin and hook calling mechanisms for python
  uri:
  - https://github.com/pytest-dev/pluggy https://pypi.org/project/pluggy/
  license: MIT
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_pypy3?
      ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7? ( dev-lang/python:3.7
      ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/wheel[python_targets_python3_10(-)?,python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    DEPEND: dev-python/setuptools_scm[python_targets_python3_10(-)?,python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python3_10 python_targets_pypy3 python_targets_python3_7
      python_targets_python3_9 python_targets_python3_8
    RDEPEND: python_targets_python3_7? ( dev-python/importlib_metadata[python_targets_python3_7(-)?,-python_single_target_python3_7(-)]
      ) python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_pypy3?
      ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7? ( dev-lang/python:3.7
      ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/pluggy
    kit: python-modules-kit
    original.package.name: dev-python/pluggy
    original.package.slot: "0"
    original.package.version: 1.6.0
